Subject: Re: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Dmitry Gutov <[email-masked]>
Date: Sun, 28 Jun 2015 00:11:34 +0300

Version: 25.1

On 06/12/2015 02:20 AM, Juri Linkov wrote:

> Yes, it's out of the question that we should keep the original letters.

I've just pushed a commit that reuses <C> for both -i and --color 
(<C>ase and <C>olor, we can still pretend it's mnemonical), simply 
because there are templates out there with <C> in them, which do not 
include "--color".

If anyone really wants to change it to <O>, be my guest.

> I wonder how many third-party code uses the templates with <N>
> that it needs to be documented.

I haven't found any. OTOH, it doesn't hurt anyone either. Maybe the 
right change would be to make the code use it, actually. Are there use 
cases for changing the value of null-decide dynamically?

And speaking of needs, what is the use case for "--color" without 
"always"? Instead of special-casing Windows and DOS, why don't we always 
use `always' for coloring?